Invoices
Get Invoice
Returns an Invoice by ID
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
invoice_id*string
Header Parameters
Members-Context?|
Members organization id (org_…) when the client has multiple organizations.
Response Body
application/json
application/json
curl -X GET "https://api.members.dev/v1/invoices/string"{
"id": "string",
"invoice_number": "INV-550",
"member_id": "string",
"status": "draft",
"collection_status": "none",
"active_payment_id": "string",
"due_at": null,
"amount_original": 0,
"amount_due": 0,
"currency": "string",
"lines": [
{
"id": "string",
"description": "string",
"quantity": 0,
"unit_amount": 0,
"amount": 0
}
],
"credit_note_allocations": [
{
"id": "string",
"credit_note_id": "string",
"credit_note_number": "CN-12",
"amount": 0,
"currency": "str",
"created_at": null
}
],
"payment_allocations": [
{
"id": "string",
"payment_id": "string",
"status": "pending",
"amount": 0,
"currency": "str",
"notes": "string",
"payment_method_id": "string",
"failure_code": "string",
"failure_message": "string",
"created_at": null
}
],
"subscription": {
"subscription_id": "string",
"period_starts_at": {},
"period_ends_at": {}
},
"default_payment_method": {
"id": "string",
"type": "offline_cash",
"label": "string",
"is_off_session": true,
"details": {}
},
"state_transitions": {
"opened_at": {},
"past_due_at": {},
"paid_at": {},
"voided_at": {},
"deleted_at": {}
},
"next_update": {
"updates_at": null,
"update_type": "past_due"
},
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}